Loading...
Searching...
No Matches
basis.h File Reference

`basis` - finite element method More...

Go to the source code of this file.

## Classes

class | basis_rep< T >
class | basis_basic< T >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_evaluate(MEMBER, VALUED, VALUE)
#define | _RHEOLEF_evaluate_on_side(VALUED, VALUE)
#define | _RHEOLEF_compute_dofs(VALUED, VALUE)

## Functions

template<class T , class Function >
std::enable_if< is_scalar< typenamefunction_traits< Function >::result_type >::value, void >::type | compute_dof (const basis_rep< T > &b, reference_element hat_K, const Function &f, Eigen::Matrix< T, Eigen::Dynamic, 1 > &dof)
template<class T , class Function >
std::enable_if< is_point< typenamefunction_traits< Function >::result_type >::value, void >::type | compute_dof (const basis_rep< T > &b, reference_element hat_K, const Function &f, Eigen::Matrix< T, Eigen::Dynamic, 1 > &dof)

## Detailed Description

`basis` - finite element method

Definition in file basis.h.

## Macro Definition Documentation

## _RHEOLEF_evaluate

#define _RHEOLEF_evaluate | ( |  | MEMBER,
|  |  | VALUED,
|  |  | VALUE
| ) |  |

Value:
virtual \
void \
MEMBER ( \
reference_element hat_K, \
const point_basic<T>& hat_x, \
Eigen::Matrix<VALUE,Eigen::Dynamic,1>& value) const \
{ \
error_macro ("basis \""<<name()<<"\": " \
<< VALUED << "-valued " << #MEMBER \
<< "() member not implemented"); \
} \

Definition at line 309 of file basis.h.

## _RHEOLEF_evaluate_on_side

#define _RHEOLEF_evaluate_on_side | ( |  | VALUED,
|  |  | VALUE
| ) |  |

Value:
virtual \
void \
evaluate_on_side ( \
reference_element tilde_K, \
const side_information_type& sid, \
const point_basic<T>& hat_x, \
Eigen::Matrix<VALUE,Eigen::Dynamic,1>& value) const \
{ \
error_macro ("basis \""<<name()<<"\": " \
<< VALUED << "-valued evaluate_on_side() member not implemented"); \
}

Definition at line 334 of file basis.h.

## _RHEOLEF_compute_dofs

#define _RHEOLEF_compute_dofs | ( |  | VALUED,
|  |  | VALUE
| ) |  |

Value:
virtual \
void \
_compute_dofs ( \
reference_element hat_K, \
const Eigen::Matrix<VALUE,Eigen::Dynamic,1>& f_xnod, \
Eigen::Matrix<T,Eigen::Dynamic,1>& dof) const \
{ \
error_macro ("basis \"" << name() << "\": " \
<< VALUED << "-valued _compute_dofs() member not implemented"); \
}

Definition at line 351 of file basis.h.